### Method

# Phosh GeoClueDBusOrgFreedesktopGeoClue2Agent complete_authorize_app

#### Declaration [src]

    void
    phosh_geo_clue_dbus_org_freedesktop_geo_clue2_agent_complete_authorize_app (
      PhoshGeoClueDBusOrgFreedesktopGeoClue2Agent* object,
      GDBusMethodInvocation* invocation,
      gboolean authorized,
      guint allowed_accuracy_level
    )

#### Description [src]

Helper function used in service implementations to finish handling invocations of the AuthorizeApp() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation`, you cannot use it afterwards.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The instance takes ownership of the data, and is responsible for freeing it.

`authorized`

  Type: `gboolean`

  Parameter to return.

`allowed_accuracy_level`

  Type: `guint`

  Parameter to return.